Skip to main content
POST
/
bills
/
{id}
/
pay
/
bank
Pay a bill by bank (open banking)
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({institutionId: '<string>', returnUrl: '<string>'})
};

fetch('https://api.dolfinai.co/bills/{id}/pay/bank', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "billPaymentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "authorisationUrl": "<string>",
  "expiresAt": "2023-11-07T05:31:56Z",
  "disclosure": {
    "text": "<string>",
    "termsUrl": "<string>",
    "privacyUrl": "<string>"
  }
}

Path Parameters

id
string<uuid>
required

Body

application/json
institutionId
string
required
returnUrl
string
required

Response

OK

billPaymentId
string<uuid>
required
authorisationUrl
string
required
expiresAt
string<date-time>
required
disclosure
object
required